
Foreman - Bug #5816

Non-admin user should be able to modify self

05/20/2014 12:53 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: API   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1083154 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3379

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1083154

Description of problem:

Version-Release number of selected component (if applicable):

1.5.0-14.201403312022git846ebfb.el6

How reproducible:

In hammer cli, and foreman setup with katello plugin.

Steps to Reproduce:

$ hammer -v -u admin -p changeme  --output csv user create --firstname='s066f8' --lastname='4i61' --mail='gm8nzs@example.com'

--login='gm8nzs'

--password='4wqw2' --auth-source-id='1'

'User created,197'

$ hammer -v -u gm8nzs -p 4wqw2  --output csv user info --id='197'

Forbidden - server refused to process the request

Actual results:

User is not able to read himself

Expected results:

User should at least be able to read himself

Associated revisions

Revision 7ffb50b9 - 04/04/2016 03:34 AM - Marek Hulán

Fixes #5816 - allow editing and displaying self via API

History

#1 - 05/20/2014 12:53 PM - Dominic Cleal

- Category set to API

- Assignee deleted (Bryan Kearney)

The web UI allows a user to modify certain attributes about themselves, but the API doesn't.

#2 - 03/30/2016 09:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán
- Pull request https://github.com/theforeman/foreman/pull/3379 added

#3 - 04/04/2016 04:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7ffb50b911e86b9df3415592d896640b87720989.

#4 - 04/05/2016 03:50 AM - Dominic Cleal

- translation missing: en.field_release set to 136
